diff -ruN bowtie2-2.5.1-debianized/CMakeLists.txt bowtie2-2.5.1/CMakeLists.txt
--- bowtie2-2.5.1-debianized/CMakeLists.txt	2023-02-09 06:04:56.000000000 -0600
+++ bowtie2-2.5.1/CMakeLists.txt	2023-02-09 05:59:51.000000000 -0600
@@ -237,7 +237,9 @@
 
 include_directories(${PROJECT_SOURCE_DIR})
 get_directory_property(COMPILER_DEFS COMPILE_DEFINITIONS)
-add_definitions(-DCOMPILER_OPTIONS="${CMAKE_CXX_FLAGS}")
+string(REGEX REPLACE "-fdebug-prefix-map=[^ ]* " "" COMP_OPTS ${CMAKE_CXX_FLAGS})
+string(REGEX REPLACE "-ffile-prefix-map=[^ ]* " "" COMP_OPTS ${COMP_OPTS})
+add_definitions(-DCOMPILER_OPTIONS="${COMP_OPTS}")
 
 add_executable(bowtie2-align-s ${SEARCH_CPPS} ${SHARED_CPPS})
 add_executable(bowtie2-align-l ${SEARCH_CPPS} ${SHARED_CPPS})
diff -ruN bowtie2-2.5.1-debianized/Makefile bowtie2-2.5.1/Makefile
--- bowtie2-2.5.1-debianized/Makefile	2023-02-09 06:04:56.000000000 -0600
+++ bowtie2-2.5.1/Makefile	2023-02-09 06:00:37.000000000 -0600
@@ -26,7 +26,7 @@
 
 LDLIBS := -lpthread -lz
 
-HEADERS := $(wildcard *.h)
+HEADERS := $(sort $(wildcard *.h))
 BOWTIE_MM := 1
 BOWTIE_SHARED_MEM :=
 
@@ -218,8 +218,8 @@
 RELEASE_FLAGS  := -O3 $(SSE_FLAG) -funroll-loops -g3
 NOASSERT_FLAGS := -DNDEBUG
 FILE_FLAGS     := -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64 -D_GNU_SOURCE
-DEBUG_DEFS     = -DCOMPILER_OPTIONS="\"$(DEBUG_FLAGS) $(CXXFLAGS)\""
-RELEASE_DEFS   = -DCOMPILER_OPTIONS="\"$(RELEASE_FLAGS) $(CXXFLAGS)\""
+DEBUG_DEFS     = -DCOMPILER_OPTIONS="\"$(filter-out -fdebug-prefix-map=% -ffile-prefix-map=%,$(DEBUG_FLAGS) $(CXXFLAGS))\""
+RELEASE_DEFS   = -DCOMPILER_OPTIONS="\"$(filter-out -fdebug-prefix-map=% -ffile-prefix-map=%,$(RELEASE_FLAGS) $(CXXFLAGS))\""
 
 BOWTIE2_BIN_LIST := bowtie2-build-s \
   bowtie2-build-l \
diff -ruN bowtie2-2.5.1-debianized/bt2_build.cpp bowtie2-2.5.1/bt2_build.cpp
--- bowtie2-2.5.1-debianized/bt2_build.cpp	2023-02-09 06:04:56.000000000 -0600
+++ bowtie2-2.5.1/bt2_build.cpp	2023-02-09 05:59:51.000000000 -0600
@@ -580,15 +580,15 @@
 			} else {
 				cout << "Neither 32- nor 64-bit: sizeof(void*) = " << sizeof(void*) << endl;
 			}
-			cout << "Built on " << BUILD_HOST << endl;
-			cout << BUILD_TIME << endl;
-			cout << "Compiler: " << COMPILER_VERSION << endl;
-			cout << "Options: " << COMPILER_OPTIONS << endl;
-			cout << "Sizeof {int, long, long long, void*, size_t, off_t}: {"
-				 << sizeof(int)
-				 << ", " << sizeof(long) << ", " << sizeof(long long)
-				 << ", " << sizeof(void *) << ", " << sizeof(size_t)
-				 << ", " << sizeof(off_t) << "}" << endl;
+			//cout << "Built on " << BUILD_HOST << endl;
+			//cout << BUILD_TIME << endl;
+			//cout << "Compiler: " << COMPILER_VERSION << endl;
+			//cout << "Options: " << COMPILER_OPTIONS << endl;
+			//cout << "Sizeof {int, long, long long, void*, size_t, off_t}: {"
+			//	 << sizeof(int)
+			//	 << ", " << sizeof(long) << ", " << sizeof(long long)
+			//	 << ", " << sizeof(void *) << ", " << sizeof(size_t)
+			//	 << ", " << sizeof(off_t) << "}" << endl;
 			return 0;
 		}
 
diff -ruN bowtie2-2.5.1-debianized/bt2_inspect.cpp bowtie2-2.5.1/bt2_inspect.cpp
--- bowtie2-2.5.1-debianized/bt2_inspect.cpp	2023-02-09 06:04:56.000000000 -0600
+++ bowtie2-2.5.1/bt2_inspect.cpp	2023-02-09 05:59:51.000000000 -0600
@@ -456,15 +456,15 @@
 			} else {
 				cout << "Neither 32- nor 64-bit: sizeof(void*) = " << sizeof(void*) << endl;
 			}
-			cout << "Built on " << BUILD_HOST << endl;
-			cout << BUILD_TIME << endl;
-			cout << "Compiler: " << COMPILER_VERSION << endl;
-			cout << "Options: " << COMPILER_OPTIONS << endl;
-			cout << "Sizeof {int, long, long long, void*, size_t, off_t}: {"
-				 << sizeof(int)
-				 << ", " << sizeof(long) << ", " << sizeof(long long)
-				 << ", " << sizeof(void *) << ", " << sizeof(size_t)
-				 << ", " << sizeof(off_t) << "}" << endl;
+			//cout << "Built on " << BUILD_HOST << endl;
+			//cout << BUILD_TIME << endl;
+			//cout << "Compiler: " << COMPILER_VERSION << endl;
+			//cout << "Options: " << COMPILER_OPTIONS << endl;
+			//cout << "Sizeof {int, long, long long, void*, size_t, off_t}: {"
+			//	 << sizeof(int)
+			//	 << ", " << sizeof(long) << ", " << sizeof(long long)
+			//	 << ", " << sizeof(void *) << ", " << sizeof(size_t)
+			//	 << ", " << sizeof(off_t) << "}" << endl;
 			return 0;
 		}
 
diff -ruN bowtie2-2.5.1-debianized/bt2_search.cpp bowtie2-2.5.1/bt2_search.cpp
--- bowtie2-2.5.1-debianized/bt2_search.cpp	2023-01-17 20:21:59.000000000 -0600
+++ bowtie2-2.5.1/bt2_search.cpp	2023-02-09 06:03:51.000000000 -0600
@@ -5123,15 +5123,15 @@
 			} else {
 				cout << "Neither 32- nor 64-bit: sizeof(void*) = " << sizeof(void*) << endl;
 			}
-			cout << "Built on " << BUILD_HOST << endl;
-			cout << BUILD_TIME << endl;
-			cout << "Compiler: " << COMPILER_VERSION << endl;
-			cout << "Options: " << COMPILER_OPTIONS << endl;
-			cout << "Sizeof {int, long, long long, void*, size_t, off_t}: {"
-			     << sizeof(int)
-			     << ", " << sizeof(long) << ", " << sizeof(long long)
-			     << ", " << sizeof(void *) << ", " << sizeof(size_t)
-			     << ", " << sizeof(off_t) << "}" << endl;
+			//cout << "Built on " << BUILD_HOST << endl;
+			//cout << BUILD_TIME << endl;
+			//cout << "Compiler: " << COMPILER_VERSION << endl;
+			//cout << "Options: " << COMPILER_OPTIONS << endl;
+			//cout << "Sizeof {int, long, long long, void*, size_t, off_t}: {"
+			//     << sizeof(int)
+			//     << ", " << sizeof(long) << ", " << sizeof(long long)
+			//     << ", " << sizeof(void *) << ", " << sizeof(size_t)
+			//     << ", " << sizeof(off_t) << "}" << endl;
 			return 0;
 		}
 		{
